Subject: Re: [PATCH 08/16] wireless: Replace spin_is_locked() with lockdep

From: Kalle Valo <[email-masked]>
Date: Thu, 04 Oct 2018 13:05:08 +0300

Lance Roy <[email-masked]> writes:

> On Wed, Oct 03, 2018 at 12:06:48PM +0300, Kalle Valo wrote:
>> Lance Roy <[email-masked]> writes:
>>
>> > lockdep_assert_held() is better suited to checking locking requirements,
>> > since it won't get confused when someone else holds the lock. This is
>> > also a step towards possibly removing spin_is_locked().
>> >
>> > Signed-off-by: Lance Roy <[email-masked]>
>> > Cc: Daniel Drake <[email-masked]>
>> > Cc: Ulrich Kunitz <[email-masked]>
>> > Cc: Kalle Valo <[email-masked]>
>> > Cc: "David S. Miller" <[email-masked]>
>> > Cc: <[email-masked]>
>> > Cc: <[email-masked]>
>> > ---
>> >  drivers/net/wireless/zydas/zd1211rw/zd_mac.c | 2 +-
>> >  1 file changed, 1 insertion(+), 1 deletion(-)
>>
>> Should I take this or is it going through some other tree?
>
> Sure you can take this if you like. If not, Paul McKenney will take it in his
> tree.

Ok, then I'll take this to wireless-drivers-next. And I'll change the
title prefix to "zd1211rw: ".

-- 
Kalle Valo